Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class ColumnSelectorPlugIn

    java.lang.Object
      org.joone.util.AbstractConverterPlugIn
          org.joone.util.ConverterPlugIn
              org.joone.util.ColumnSelectorPlugIn

All Implemented Interfaces:
  java.io.Serializable, PlugInListener

    public class ColumnSelectorPlugIn

extends ConverterPlugIn

Certain plug-ins change the number of columns during their conversion, for example the `ToBinaryPlugin` increases the number of columns. This plug in can be used to select certain columns from all available columns at that moment. It just uses an advanced column selector as `StreamInputSynapse` and all plug-ins do, but this plug-in does not work on certain columns as most plug-ins do, but it selects columns like the `StreamInputSynapse` does.

Author:
  Boris Jansen
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.util.AbstractConverterPlugIn
`pluginListeners`

Constructor Summary
`ColumnSelectorPlugIn()` Creates a new instance of ColumnSelectorPlugIn
`ColumnSelectorPlugIn(java.lang.String anAdvancedSerieSelector)` Creates a new instance of ColumnSelectorPlugIn

Method Summary
`protected boolean` | `applyOnRows()` Applies the conversion on the patterns contained by `AbstractConverterPlugIn.InputVector` on all the rows.
`protected boolean` | `convert(int serie)` Applies the conversion on the Nth serie of the buffered pattern data.

Methods inherited from class org.joone.util.ConverterPlugIn
`isApplyEveryCycle, newCycle, setApplyEveryCycle`

Methods inherited from class org.joone.util.AbstractConverterPlugIn
`addPlugIn, addPlugInListener, apply, applyOnColumns, cascade, check, convertPatterns, dataChanged, fireDataChanged, getAdvancedSerieSelector, getInputVector, getName, getNextPlugIn, getPluginListeners, getSerieIndexNumber, getSerieSelected, getValuePoint, isConnected, removeAllPlugIns, removePlugInListener, setAdvancedSerieSelector, setConnected, setInputVector, setName, setNextPlugin, setNextPlugIn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnSelectorPlugIn

    public ColumnSelectorPlugIn()

  Creates a new instance of ColumnSelectorPlugIn

### ColumnSelectorPlugIn

    public ColumnSelectorPlugIn(java.lang.String anAdvancedSerieSelector)

  Creates a new instance of ColumnSelectorPlugIn

  Parameters:
    `anAdvancedSerieSelector` - the advanced serie selector to use.
  See Also:
    `setAdvancedSerieSelector()`

Method Detail

### convert

    protected boolean convert(int serie)

  Description copied from class: `AbstractConverterPlugIn`
  Applies the conversion on the Nth serie of the buffered pattern data. The method is abstract and should be overridden by the implementing class. Implementing classes can obtain the input patterns by calling the `AbstractConverterPlugIn.getInputVector()` method. The result is a `Vector` of `Pattern` objects which this method should use by converting the requested serie.

  Specified by:
    `convert` in class `AbstractConverterPlugIn`
  Parameters:
    `serie` - the serie to convert

### applyOnRows

    protected boolean applyOnRows()

  Description copied from class: `AbstractConverterPlugIn`
  Applies the conversion on the patterns contained by `AbstractConverterPlugIn.InputVector` on all the rows. Override this empty method to apply any change to the order of the input vector's rows.

  Overrides:
    `applyOnRows` in class `AbstractConverterPlugIn`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net